Subject: Re: [bug#77153] [PATCH 2/3] doc: cookbook: Clarify virtual network switches.

From: 45mg <[email-masked]>
Date: Sat, 22 Mar 2025 11:20:32 +0000

Maxim Cournoyer <[email-masked]> writes:

> Hi,
>
> 45mg <[email-masked]> writes:
>
>> * doc/guix-cookbook.texi (Virtual Machines): [Routed network for
>> libvirt] {Creating a virtual network switch}: Remove unnecessarily
>> noncommital language ("a few components/configurations, such as...").
>> Correct 'TUN interface', as bridges are currently used.  Add a link to
>> the libvirt Wiki for more information.
>
> I'm also not sure of the benefit here; we drop some words but refer the
> user to an external wiki page instead, which seems worst to me.

If you look carefully at the patch, you'll see that the dropping of
words doesn't actually remove any information; it just makes the
langauge a bit more definite and confident.

As I mentioned in my previous message [1], the official libvirt
documentation links to the Wiki, so it should be authoritative enough
for our purposes. The information in that article there is especially
relevant to the topic of this subsection, so I think it's worth having
the link.

[1] https://yhetil.org/guix/[email-masked]/